MEINPROC4(8)

NAME
meinproc4 - Traductor de XML para KDE

SYNOPSIS

meinproc4 [--help] [Generic-options] [Qt-options] [KDE-options] [--cache file] [--check] [--htdig] [--srcdir] [--param key=value] [[-o | --output] file] [--stdout] [--stylesheet xsl] docbook_file

DESCRIPCIóN

meinproc4 convierte archivos DocBook a HTML.

OPCIONES GENéRICAS

--author
    Muestra información sobre el autor.

--help
    Muestra ayuda sobre las opciones.

--help-all
    Muestra todas las opciones.

--help-kde
    Muestra las opciones específicas de KDE.

--help-qt
    Muestra las opciones especificas de QT.

--license
    Muestra información sobre la licencia.

-v--version
    Muestra información de la versión

OPCIONES DE LA APLICACIóN

--cache file
    Crea un archivo de caché para el documento

--check
    Comprueba la validez de la documentación

    La salida puede ser un poco desalentadora, ya que una pequeña equivocación puede causar una cascada de errores. El truco es buscar el primer error, corregirlo, guardar el archivo y ejecutar meinproc4 de nuevo.

--htdig
    Crea un índice compatible con ht://dig

-o, --output file
    Vuelca el documento completo a file.

--stdout
    Vuelca el documento completo a stdout.

--stylesheet xsl
    Hoja de estilos a emplear

--srcdir dir
    Ajusta el directorio raíz para la búsqueda de kdelibs

--param key=value
    Ajusta los parámetros que se pasan a la hoja de estilo.

UTILIZACIóN

El modo mas habitual de ejecutar meinproc4 es sencillamente como
meinproc4 docbook-file

 donde docbook-file es, generalmente index.docbook. Esta orden genera páginas HTML a partir del archivo DocBook. Estas páginas solo son visibles an navegadores basados en KDE (como Konqueror).

Si usted necesita ver la salida HTML en otro navegador (por ejemplo, si la está haciendo disponible con conexión), utilice
meinproc4 --stylesheet stylesheet-name docbook-file

 donde stylesheet-name es la ruta completa a una de las hojas de estilo XSL en $KDEDIR/share/apps/ksgmltools/customization. Para generar salida adecuada para la web, usted puede emplear kde-web.xsl or kde-chunk-online.xsl. Vea el archivo README en este directorio para mas detalles.

VEA TAMBIéN

kdeoptions(7), qtoptions(7)

FALLOS

Probablemente haya montones de fallos. Para informar acerca de ellos, utilice bugs.kde.org: http://bugs.kde.org.